<?php
/**************************************************
  Coppermine Plugin - Search Album
  *************************************************
  Copyright (c) 2005 Paul Van Rompay
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
***************************************************/

if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...'); }

// ------------------------------------------------------------------------------------
// The following section is to customize the stats display of "# files / # views".
// It is commented out so that the Coppermine multi-language support will be enabled.
// To create your own labels, uncomment this block by removing the /* and */ lines,
// then modify the text to the right of =>, i.e. to use 'photos' instead of 'files':
//      'stats_files' => '%s photos',
// Leave the left-side of the => alone as that is used to identify the label you
// want to customize.  And make sure to leave the '%s' in place since that is where
// the number of files or views is placed.  You can put '%s' wherever you want.
// And don't forget the comma after each right-hand string.
// ------------------------------------------------------------------------------------

/*
$lang_plugin_searchalbum_stats = array(
  'stats_files'   => '%s files',			// Stats label for 'files'
  'stats_views'   => '%s views',			// Stats label for 'views'
);
*/

// ------------------------------------------------------------------------------------
// Everything below should not be touched.  For another language, create another file
// with the same name as the Coppermine language file and it will be used instead.
// ------------------------------------------------------------------------------------

$lang_plugin_searchalbum = array(
  'display_name' => 'Search Album Plugin',		// Display Name
  'config_title'  => 'Configure Search Album Plugin',	// Title of the button on the gallery config menu
  'config_button' => 'Search Albums',			// Label of the button on the gallery config menu
  'page_success'  => 'Configuration Settings Updated.',		// Page success message
  'page_failure'  => 'Unable to update settings.',		// Page failure message
  'install_done'  => 'Installation Complete.',		// Message after complete installation
  'install_note'  => 'Configure plugin using button on Admin toolbar.',	// Note about configuring plugin
);

$lang_plugin_searchalbum_config = array(
  'emptyresults' => 'Show empty album search results page',  // Empty Results Config Message
  'showcatname'  => 'Show category name in thumbnail caption',	// Show category name in thumbnail caption of results
  'showalbstats' => 'Show album stats in thumbnail caption',    // Show album stats in thumbnail caption of results
  'choice_yes'   => 'yes',				// Choice: yes
  'choice_no'    => 'no',				// Choice: no

  'lastalb_note' => 'The following two options apply to both the album search results and the "Last Updated Albums" meta-album.',

  'stats_note'   => 'Available template tags are {DATE}, {FILES}, and {VIEWS}.  HTML may be used, e.g. use &lt;br /&gt; for line breaks.<br />'
			.'For date format details, see <a href="http://www.php.net/manual/en/function.strftime.php" target=_blank>this page</a>. '
			.'Two common date formats are: "%B %d, %Y" and "%m/%d/%y".<br />'
			.'Style stats using \'thumb_stats\' in theme/style.css',
							// Notes for stats display
  'stats_template'=> 'Stats template',			// Stats template
  'stats_dateformat'=> 'Stats date format',		// Stats date format

  'searchonly'   => 'Search only albums (no pictures)', // Search only albums - remove search for pictures

  'searchonlymsg'=> 'You must add the following code to your theme.php:',
  'searchonlymsg2'=> 'Delete any other (theme_no_img_to_display) function in your theme.php.<br />'
			.'You can leave this code there even if you uninstall this plugin.<br />'
			.'If you do not add this code, empty "search pictures" will be displayed.<br />',
  'searchonlymsg3'=> '"Show empty results" has been switched ON since "search only albums" is set.',
							// Notes if "search only albums" is chosen

  'button_done'  => 'Done',				// Config submit button
);

?>
